Summary:       An additive synthesizer using JACK
Name:          Add64
Version:       1.2.2
Release:       3%{?dist}
URL:           http://sourceforge.net/projects/add64
Source0:       http://downloads.sourceforge.net/project/add64/%{name}-%{version}.tar.bz2
Source1:       %{name}.desktop
# icon taken from screenshot
Source2:       add64.png
License:       GPLv3
Group:         Applications/Multimedia

BuildRequires: jack-audio-connection-kit-devel
BuildRequires: qt4-devel
BuildRequires: desktop-file-utils

%description
Add64 is an additive synthesizer using Qt and the JACK audio connection kit

%prep
%setup -q -n %{name}-%{version}
sed -i -e 's|lib64|%{_lib}|' \
       -e 's|$(QT_BASE_DIR)/bin|%{_qt4_libdir}/qt4/bin|' \
       -e 's|-lm|-lm -lstdc++|' \
       -e 's|-O2 -g -Wall|%{optflags}|' Makefile
chmod -x * 

%build
make %{?_smp_mflags}

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/applications
install -d -m 755 %{buildroot}%{_datadir}/pixmaps

install -m 755 -p %{name} %{buildroot}%{_bindir}
install -m 644 -p %{SOURCE2} %{buildroot}%{_datadir}/pixmaps
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
    %{SOURCE1}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files 
%doc LICENSE README 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/add64.png

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.2.2-2
- Add missing BR

* Mon Jun 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.2.2-1
- Initial build
